Developers

Geliştiriciler için API Referansı

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

バシュラーケン

İsteklerin sistem tarafından işlenmesi için bir API anahtarı gereklidir.Bir kullanıcı kaydolduğunda, bu kullanıcı için otomatik olarak bir API anahtarı oluşturulur.API anahtarı her istekle birlikte gönderilmelidir (aşağıdaki tam örneğe bakın).API anahtarı gönderilmezse veya süresi dolmuşsa bir hata olacaktır.Kötüye kullanımı önlemek için lütfen API anahtarınızı gizli tuttuğunuzdan emin olun.

キムリク・ドールラマ

API sistemiyle kimlik doğrulaması yapmak için API anahtarınızı her istekle birlikte bir yetkilendirme belirteci olarak göndermeniz gerekir.Aşağıda örnek kodu görebilirsiniz.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

オラン・スヌル

API'miz, kararlılığını en üst düzeye çıkarmak için isteklerdeki ani artışlara karşı koruma sağlayan bir hız sınırlayıcıya sahiptir.Hız sınırlayıcımız şu anda 1 dakika başına 30 istekle sınırlandırılmıştır.ご加入のプランによって料金が変更になる場合がありますので、予めご了承ください。

Yanıtın yanında birkaç başlık gönderilir ve bunlar istekle ilgili çeşitli bilgileri belirlemek için incelenebilir.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

Yanıt İşleme

Tüm API yanıtı, varsayılan olarak JSON biçiminde döndürülür.Bunu kullanılabilir verilere dönüştürmek için dile göre uygun işlevin kullanılması gerekecektir.PHP'de, json_decode() işlevi, verileri bir nesneye (varsayılan) veya bir diziye (ikinci parametreyi true olarak ayarlayın) dönüştürmek için kullanılabilir.Hata anahtarının kontrol edilmesi bir hata olup olmadığı hakkında bilgi verdiği için çok önemlidir.Başlık kodunu da kontrol edebilirsiniz.

{
    "error": 1,
    "message": "An error occurred"
}

CTA Yer Paylaşımları

CTAオーバーレイの一覧表示

取得 https://urlkai.com/api/overlay?limit=2&page=1

API を介して cta オーバーレイを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

ファイル

リストファイル

取得 https://urlkai.com/api/files?limit=2&page=1

すべてのファイルを手に入れろ。名前で検索することもできます。

パラメータ Açıklama
名前 (任意)ファイル名で検索
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/QCiEV",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/bjGqw",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/QTTLD",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

ファイルをアップロードする

投稿 https://urlkai.com/api/files/upload/:filename?name=My+File

ファイルをアップロードするには、バイナリデータを投稿本体として送信します。URLに:filenameではなく拡張子を含むファイル名(例:brandkit.zip)を送る必要があります。以下のパラメータを送信することでオプションを設定できます。

パラメータ Açıklama
名前 (任意)ファイル名
習慣 (オプション)ランダムエイリアスの代わりにカスタムエイリアス。
ドメイン (オプション)カスタムドメイン
パスワード (オプション)パスワード保護
有効 期限 (任意)ダウンロード例の有効期限は2021年9月28日です
MaxDownloads (任意)最大ダウンロード数
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

スヌク・ドゥルム

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/EXLil"
}

ヘサップ

ヘサップ・アル

取得 https://urlkai.com/api/account

Hesapla ilgili bilgi almak için bu uç noktaya bir istek gönderebilirsiniz ve bu, hesapla ilgili verileri döndürür.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Hesabı güncelle

置く https://urlkai.com/api/account/update

Hesapla ilgili bilgileri güncellemek için bu uç noktaya bir istek gönderebilirsiniz;Bu, hesaptaki verileri güncelleyecektir.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

スヌク・ドゥルム

{
    "error": 0,
    "message": "Account has been successfully updated."
}

カナラー

チャンネルのリスト

取得 https://urlkai.com/api/channels?limit=2&page=1

API 経由でチャネルを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

チャンネルアイテムの一覧表示

取得 https://urlkai.com/api/channel/:id?limit=1&page=1

API を介して選択したチャネルのアイテムを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

カナルオルシュトゥル

投稿 https://urlkai.com/api/channel/add

チャネルは、このエンドポイントを使用して追加できます。

パラメータ Açıklama
名前 (必須)チャンネル名
形容 (オプション)チャネルの説明
色 (オプション)チャンネルバッジの色(HEX)
主演 (オプション)チャンネルにスターを付けるかどうか(trueまたはfalse)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

スヌク・ドゥルム

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

チャネルへのアイテムの割り当て

投稿 https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

アイテムは、チャネルID、アイテムタイプ(リンク、バイオ、またはqr)、およびアイテムIDを使用してリクエストを送信することにより、任意のチャネルに割り当てることができます。

パラメータ Açıklama
:チャンネルID (必須)チャネルID
:種類 (必須)リンクまたはバイオまたはQR
:アイテムID (必須)アイテムID
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Kanalı Güncelle

置く https://urlkai.com/api/channel/:id/update

チャネルを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメータ Açıklama
名前 (オプション)チャンネル名
形容 (オプション)チャネルの説明
色 (オプション)チャンネルバッジの色(HEX)
主演 (オプション)チャンネルにスターを付けるかどうか(trueまたはfalse)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

スヌク・ドゥルム

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

チャネルの削除

削除 https://urlkai.com/api/channel/:id/delete

チャネルを削除するには、DELETE リクエストを送信する必要があります。すべてのアイテムも割り当て解除されます。

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Markalı Alan Adları

ブランドドメインの一覧表示

取得 https://urlkai.com/api/domains?limit=2&page=1

API を介してブランド化されたドメインを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

ブランドドメインの作成

投稿 https://urlkai.com/api/domain/add

ドメインは、このエンドポイントを使用して追加できます。ドメインがサーバーを正しく指していることを確認してください。

パラメータ Açıklama
ドメイン (必須)httpまたはhttpsを含むブランドドメイン
リダイレクトルート (オプション)誰かがあなたのドメインにアクセスしたときのルートリダイレクト
リダイレクト404 (オプション)カスタム 404 リダイレクト
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

スヌク・ドゥルム

{
    "error": 0,
    "id": 1
}

Alan Adını Güncelle

置く https://urlkai.com/api/domain/:id/update

ブランド化されたドメインを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメータ Açıklama
リダイレクトルート (オプション)誰かがあなたのドメインにアクセスしたときのルートリダイレクト
リダイレクト404 (オプション)カスタム 404 リダイレクト
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

スヌク・ドゥルム

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

ドメインの削除

削除 https://urlkai.com/api/domain/:id/delete

ドメインを削除するには、DELETE リクエストを送信する必要があります。

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

ピクセル

ピクセルのリスト

取得 https://urlkai.com/api/pixels?limit=2&page=1

APIを介してピクセルコードを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

ピクセルを作成する

投稿 https://urlkai.com/api/pixel/add

ピクセルは、このエンドポイントを使用して作成できます。ピクセルタイプとタグを送信する必要があります。

パラメータ Açıklama
種類 (必須) GTMPIXEL |ガピクセル |FBピクセル |アドワーズピクセル |LinkedInピクセル |ツイッターピクセル |アドロールピクセル |クオラピクセル |ピンタレスト |Bingの|スナップチャット |Redditの|TikTokの
名前 (必須)ピクセルのカスタム名
日 (必須)ピクセルのタグ
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

スヌク・ドゥルム

{
    "error": 0,
    "id": 1
}

ピクセリ・ギュンチェレ

置く https://urlkai.com/api/pixel/:id/update

ピクセルを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメータ Açıklama
名前 (オプション)ピクセルのカスタム名
日 (必須)ピクセルのタグ
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

スヌク・ドゥルム

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

ピクセルの削除

削除 https://urlkai.com/api/pixel/:id/delete

ピクセルを削除するには、DELETEリクエストを送信する必要があります。

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

QR Kodları

QRコードを一覧表示する

取得 https://urlkai.com/api/qr?limit=2&page=1

API üzerinden QR kodlarınızı almak için bu uç noktayı kullanabilirsiniz.Ayrıca verileri filtreleyebilirsiniz (Daha fazla bilgi için tabloya bakın).

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Tek bir QR Kodu alın

取得 https://urlkai.com/api/qr/:id

API aracılığıyla tek bir QR kodunun ayrıntılarını almak için bu uç noktayı kullanabilirsiniz.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

QR Kodu Oluşturun

投稿 https://urlkai.com/api/qr/add

QRコードを作成するには、POSTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメータ Açıklama
種類 (必須) テキスト |vカード |リンク |Eメール |電話番号 |SMSの|Wi-Fi(無線LAN)
データ (必須)QRコード内に埋め込むデータ。データは、タイプに応じて文字列または配列にすることができます
バックグラウンド (オプション)RGBカラー(例:rgb(255,255,255)
前景 (オプション)RGB カラー (例: rgb(0,0,0))
ロゴ (オプション)ロゴへのパス:pngまたはjpg
名前 (オプション)QRコード名
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

スヌク・ドゥルム

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

QRコードの更新

置く https://urlkai.com/api/qr/:id/update

Bir QR Kodunu güncellemek için, bir PUT isteği aracılığıyla JSON'da geçerli bir veri göndermeniz gerekir.Veriler, aşağıda gösterildiği gibi isteğinizin ham gövdesi olarak gönderilmelidir.Aşağıdaki örnek, gönderebileceğiniz tüm parametreleri gösterir, ancak hepsini göndermeniz gerekmez (Daha fazla bilgi için tabloya bakın).

パラメータ Açıklama
データ (必須)QRコード内に埋め込むデータ。データは、タイプに応じて文字列または配列にすることができます
バックグラウンド (オプション)RGBカラー(例:rgb(255,255,255)
前景 (オプション)RGB カラー (例: rgb(0,0,0))
ロゴ (オプション)ロゴへのパス:pngまたはjpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

スヌク・ドゥルム

{
    "error": 0,
    "message": "QR has been updated successfully."
}

QRコドゥヌシル

削除 https://urlkai.com/api/qr/:id/delete

Bir QR kodunu silmek için bir DELETE isteği göndermeniz gerekir.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}

カンパニャラー

キャンペーンのリスト

取得 https://urlkai.com/api/campaigns?limit=2&page=1

API経由でキャンペーンを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

カンパニャ・オルシュトゥル

投稿 https://urlkai.com/api/campaign/add

キャンペーンは、このエンドポイントを使用して追加できます。

パラメータ Açıklama
名前 (オプション)キャンペーン名
蛞蝓 (オプション)ローテータースラッグ
公共 (オプション)アクセス
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

スヌク・ドゥルム

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
投稿 https://urlkai.com/api/campaign/:campaignid/assign/:linkid

短縮リンクは、このエンドポイントを使用してキャンペーンに割り当てることができます。エンドポイントには、キャンペーン ID と短縮リンク ID が必要です。

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Kampanyayı Güncelle

置く https://urlkai.com/api/campaign/:id/update

キャンペーンを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメータ Açıklama
名前 (必須)キャンペーン名
蛞蝓 (オプション)ローテータースラッグ
公共 (オプション)アクセス
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

スヌク・ドゥルム

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

キャンペーンの削除

削除 https://urlkai.com/api/campaign/:id/delete

キャンペーンを削除するには、DELETE リクエストを送信する必要があります。

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

オゼルスプラッシュ

カスタムスプラッシュのリスト

取得 https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

パラメータ Açıklama
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

スヌク・ドゥルム

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}